List custom voices
curl --request GET \
--url https://api.aireserve.com/v1/custom-voices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/custom-voices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/custom-voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"voices": [
{
"voice_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"gender": "male",
"accent": "<string>",
"age": "young",
"language": "<string>",
"use_case": "<string>",
"tone": "<string>"
}
]
}Audio
List custom voices
List custom voice clones owned by your organization. Requires the customVoicesEnabled org gate. Served from AI Reserve’s ownership map — voices belonging to other organizations are never visible regardless of their xAI voice ID.
GET
/
v1
/
custom-voices
List custom voices
curl --request GET \
--url https://api.aireserve.com/v1/custom-voices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/custom-voices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/custom-voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"voices": [
{
"voice_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"gender": "male",
"accent": "<string>",
"age": "young",
"language": "<string>",
"use_case": "<string>",
"tone": "<string>"
}
]
}Authorizations
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Response
Your organization's custom voices.
Show child attributes
Show child attributes